<template>
	<div class="mdc-form-field">
		<div class="mdc-radio">
			<input class="mdc-radio__native-control" type="radio" :id="id" :name="id" :checked="shouldBeChecked" :value="value" @change="updateInput">
			<div class="mdc-radio__background">
				<div class="mdc-radio__outer-circle"></div>
				<div class="mdc-radio__inner-circle"></div>
			</div>
		</div>
		<slot></slot>
	</div>
</template>
<script src="./Radio.js"></script>
